'# MWS Version: Version 2006.0.7 - Oct 17 2006 - 22:27:39

'# length = mm
'# frequency = GHz
'# time = ns
'# frequency range: fmin = 1 fmax = 10


'@ use template: Planar Coupler (Microstrip, Coplanar)

' Template for Planar Coupler (Microstrip or Coplanar)
' ====================================================
' (CSTxMWSxONLY)
' draw the bounding box
Plot.DrawBox True
' set units to mm, ghz
With Units 
     .Geometry "mm" 
     .Frequency "ghz" 
     .Time "ns" 
End With 
' set background material to vacuum
With Background 
     .Type "Normal" 
     .Epsilon "1.0" 
     .Mue "1.0" 
     .XminSpace "0.0" 
     .XmaxSpace "0.0" 
     .YminSpace "0.0" 
     .YmaxSpace "0.0" 
     .ZminSpace "0.0" 
     .ZmaxSpace "0.0" 
End With 
' set boundary conditions to electric
With Boundary
     .Xmin "electric" 
     .Xmax "electric" 
     .Ymin "electric" 
     .Ymax "electric" 
     .Zmin "electric" 
     .Zmax "electric" 
     .Xsymmetry "none" 
     .Ysymmetry "none" 
     .Zsymmetry "none" 
End With
' optimize mesh settings for planar structures
With Mesh 
     .MergeThinPECLayerFixpoints "True"
     .RatioLimit "50" 
     .AutomeshRefineAtPecLines "True", "4"
End With 
' change mesh adaption scheme to energy 
' 		(planar structures tend to store high energy 
'     	 locally at edges rather than globally in volume)
MeshAdaption3D.SetAdaptionStrategy "Energy"

'@ import sat file: C:\Documents and Settings\xlj\My Documents\dgslpfx.sat

With SAT
     .Reset 
     .FileName "*dgslpfx.sat" 
     .ImportToActiveCoordinateSystem "True" 
     .Read 
End With

'@ rename block: default:import_2 to: default:dgs

Solid.Rename "default:import_2", "dgs"

'@ change material: default:dgs to: PEC

Solid.ChangeMaterial "default:dgs", "PEC"

'@ rename block: default:import_3 to: default:ustrip

Solid.Rename "default:import_3", "ustrip"

'@ change material: default:ustrip to: PEC

Solid.ChangeMaterial "default:ustrip", "PEC"

'@ rename block: default:import_1 to: default:substrate

Solid.Rename "default:import_1", "substrate"

'@ define material: Arlon AD 350 (loss free)

With Material
     .Reset
     .Name "Arlon AD 350 (loss free)"
     .FrqType "all" 
     .Type "Normal" 
     .Epsilon "3.5" 
     .Mue "1.0" 
     .Kappa "0.0" 
     .TanD "0.0" 
     .TanDFreq "0.0" 
     .TanDGiven "False" 
     .TanDModel "ConstTanD" 
     .KappaM "0.0" 
     .TanDM "0.0" 
     .TanDMFreq "0.0" 
     .TanDMGiven "False" 
     .TanDMModel "ConstKappa" 
     .DispModelEps "None" 
     .DispModelMue "None" 
     .DispersiveFittingSchemeEps "General 1st" 
     .DispersiveFittingSchemeMue "General 1st" 
     .UseGeneralDispersionEps "False" 
     .UseGeneralDispersionMue "False" 
     .Rho "0.0" 
     .ThermalConductivity "0" 
     .SetActiveMaterial "all" 
     .Colour "0.75", "0.95", "0.85" 
     .Wireframe "False" 
     .Transparency "0" 
     .Create
End With

'@ change material: default:substrate to: Arlon AD 350 (loss free)

Solid.ChangeMaterial "default:substrate", "Arlon AD 350 (loss free)"

'@ pick center point

Pick.PickCenterpointFromId "default:ustrip", "13"

'@ align wcs with point

WCS.AlignWCSWithSelectedPoint

'@ define background

With Background 
     .Reset 
     .Type "Normal" 
     .Epsilon "1.0" 
     .Mue "1.0" 
     .ThermalConductivity "0.0" 
     .XminSpace "0.0" 
     .XmaxSpace "0.0" 
     .YminSpace "0.0" 
     .YmaxSpace "0.0" 
     .ZminSpace "5.0" 
     .ZmaxSpace "5.0" 
     .ApplyInAllDirections "False" 
End With

'@ define boundaries

With Boundary
     .Xmin "electric" 
     .Xmax "electric" 
     .Ymin "electric" 
     .Ymax "electric" 
     .Zmin "electric" 
     .Zmax "electric" 
     .Xsymmetry "none" 
     .Ysymmetry "magnetic" 
     .Zsymmetry "none" 
     .XminTemperature "" 
     .XminTemperatureType "None" 
     .XmaxTemperature "" 
     .XmaxTemperatureType "None" 
     .YminTemperature "" 
     .YminTemperatureType "None" 
     .YmaxTemperature "" 
     .YmaxTemperatureType "None" 
     .ZminTemperature "" 
     .ZminTemperatureType "None" 
     .ZmaxTemperature "" 
     .ZmaxTemperatureType "None" 
End With

'@ define port: 1

With Port 
     .Reset 
     .PortNumber "1" 
     .NumberOfModes "1" 
     .AdjustPolarization False 
     .PolarizationAngle "0.0" 
     .ReferencePlaneDistance "0" 
     .TextSize "50" 
     .Coordinates "Full" 
     .Orientation "xmin" 
     .PortOnBound "True" 
     .ClipPickedPortToBound "False" 
     .Xrange "-21.6", "-21.6" 
     .Yrange "-0.50625", "17.05625" 
     .Zrange "-5", "5.7705725" 
     .XrangeAdd "0.0", "0.0" 
     .YrangeAdd "0.0", "0.0" 
     .ZrangeAdd "0.0", "0.0" 
     .Create 
End With

'@ define port: 2

With Port 
     .Reset 
     .PortNumber "2" 
     .NumberOfModes "1" 
     .AdjustPolarization False 
     .PolarizationAngle "0.0" 
     .ReferencePlaneDistance "0" 
     .TextSize "50" 
     .Coordinates "Full" 
     .Orientation "xmax" 
     .PortOnBound "True" 
     .ClipPickedPortToBound "False" 
     .Xrange "15.6", "15.6" 
     .Yrange "-0.50625", "17.05625" 
     .Zrange "-5", "5.7705725" 
     .XrangeAdd "0.0", "0.0" 
     .YrangeAdd "0.0", "0.0" 
     .ZrangeAdd "0.0", "0.0" 
     .Create 
End With

'@ define boundaries

With Boundary
     .Xmin "electric" 
     .Xmax "electric" 
     .Ymin "electric" 
     .Ymax "electric" 
     .Zmin "electric" 
     .Zmax "electric" 
     .Xsymmetry "none" 
     .Ysymmetry "magnetic" 
     .Zsymmetry "none" 
     .XminTemperature "" 
     .XminTemperatureType "None" 
     .XmaxTemperature "" 
     .XmaxTemperatureType "None" 
     .YminTemperature "" 
     .YminTemperatureType "None" 
     .YmaxTemperature "" 
     .YmaxTemperatureType "None" 
     .ZminTemperature "" 
     .ZminTemperatureType "None" 
     .ZmaxTemperature "" 
     .ZmaxTemperatureType "None" 
End With

'@ define frequency range

Solver.FrequencyRange "0.5", "10"

'@ define solver parameters

With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "1" 
     .StimulationMode "1" 
     .SteadyStateLimit "-40" 
     .MeshAdaption "False" 
     .CalculateModesOnly "False" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseNetworkComputing "False" 
End With

'@ pick face

Pick.PickFaceFromId "default:dgs", "1"

'@ define extrude: default:dgsgnd

With Extrude 
     .Reset 
     .Name "dgsgnd" 
     .Component "default" 
     .Material "PEC" 
     .Mode "Picks" 
     .Height "0.02" 
     .Twist "0.0" 
     .Taper "0.0" 
     .UsePicksForHeight "False" 
     .DeleteBaseFaceSolid "True" 
     .ClearPickedFace "True" 
     .Create 
End With

'@ define solver parameters

With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "1" 
     .StimulationMode "1" 
     .SteadyStateLimit "-40" 
     .MeshAdaption "False" 
     .CalculateModesOnly "False" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseNetworkComputing "False" 
End With

'@ define frequency range

Solver.FrequencyRange "6", "10"

'@ define solver parameters

With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "1" 
     .StimulationMode "1" 
     .SteadyStateLimit "-40" 
     .MeshAdaption "False" 
     .CalculateModesOnly "False" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseNetworkComputing "False" 
End With

'@ define frequency range

Solver.FrequencyRange "1", "10"

'@ define frequency domain solver parameters

With Solver
     .CalculationType "FD-S" 
     .FDSolverReset 
     .FDSolverMethod "Hexahedral Mesh (MOR)" 
     .FDSolverOrder "Second" 
     .FDSolverStimulation "1", "1" 
     .FDSolverResetExcitationList 
     .FDSolverAutoNormImpedance "False" 
     .FDSolverNormingImpedance "50" 
     .FDSolverModesOnly "False" 
     .FDSolverAccuracyHex "1e-5" 
     .FDSolverAccuracyTet "1e-4" 
     .FDSolverLimitIterations "False" 
     .FDSolverMaxIterations "0" 
     .FDSolverLimitCPUs "False" 
     .FDSolverMaxCPUs "2" 
     .FDSolverStoreAllResults "False" 
     .StoreFDResultsInCache "False" 
     .FDSolverUseHelmholtzEquation "True" 
     .FDSolverLowFrequencyStabilization "False" 
     .FDSolverType "Auto" 
     .FDSolverMeshAdaptionHex "False" 
     .FDSolverMeshAdaptionTet "True" 
     .FDSolverAcceleratedRestart "True" 
     .FDSolverHexMORSettings "10", "1001" 
     .FDSolverNewIterativeSolver "True" 
     .FDSolverTDCompatibleMaterials "False" 
     .FDSolverExtrudeOpenBC "True" 
     .FDSolverAddMonitorSamples "True" 
     .FDSolverSParaFit "True" 
     .FDSolverFitThreshold "True", "0.001" 
     .FDSolverSweepErrorChecks "2" 
     .FDSolverSweepMinimumSamples "3" 
     .FDSolverSweepConsiderAll "True" 
     .FDSolverSweepConsiderReset 
     .FDSolverInterpolationSamples "1001" 
     .FDSolverSweepWeightEvanescent "1.0" 
     .FDSolverAddFrequencyIntervall "", "", "1", "Adaptation" 
     .FDSolverAddFrequencyIntervall "", "", "", "Automatic" 
End With

'@ define solver parameters

With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "1" 
     .StimulationMode "1" 
     .SteadyStateLimit "-40" 
     .MeshAdaption "False" 
     .CalculateModesOnly "False" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseNetworkComputing "False" 
End With

'@ set mesh properties

With Mesh 
     .UseRatioLimit "True" 
     .RatioLimit "50" 
     .LinesPerWavelength "10" 
     .MinimumStepNumber "20" 
     .Automesh "True" 
     .MeshType "PBA" 
End With

'@ define solver parameters

With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "1" 
     .StimulationMode "1" 
     .SteadyStateLimit "-40" 
     .MeshAdaption "False" 
     .CalculateModesOnly "False" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseNetworkComputing "False" 
End With 

